Extract Puppet functionality to a plugin

03/01/2015 10:21 AM - Daniel Lobato Garcia

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Currently Foreman is very reliant on Puppet. To the point adding new configuration management systems feel to most users like an

addition to Puppet, but they can't get rid of it. Similarly, users who just want an inventory  and provisioning tool are just not able to get

a clean Foreman. Also this extraction hopefully will help us clean up old code. I don't think there's much room to extract things out of

Foreman after this, so basically getting this done means Foreman core can be defined as:

Data center inventory (Hosts, Host groups, Params, Statistics, etc...)

Provisioning and orchestration of hosts

API to your infrastructure

Robust & flexible pluggable interface - should support any kind of crazy addition [1]

Multi-user (Auth sources, Roles, User groups, Users, Audits..)

The aim for this tracker is to cover issues for the removal of all Puppet dependencies, which in turn have to be linked with an issue

for the creation of the equivalent thing in a plugin 'foreman_puppet'.

[1] : https://github.com/noidontdig/gitdown - make sure your BAC is within the OK range before deploying a bunch of new servers :)

Related issues:

Related to Foreman - Refactor #15404: Move environment class variable to a co... New 06/14/2016

Related to Foreman - Refactor #15405: Move puppet related helpers to a separa... Closed 06/14/2016

Related to Foreman - Refactor #15406: Move puppet_environment overview field ... Closed

Related to Foreman - Refactor #15408: Move puppetCA autosign handling to a se... New 06/14/2016

Related to Foreman - Refactor #15409: Refactor (puppet) facts out of host cla... Closed

Related to Foreman - Refactor #15411: Move SmartProxy.smart_proxy_ids_for to ... Closed 06/14/2016

Related to Foreman - Refactor #15503: Remve puppet from lookup_keys base class New 06/22/2016

Related to Foreman - Refactor #15710: Create STI for LookupValues Duplicate 07/17/2016

Related to Foreman - Refactor #15711: Remove inheritance from classification ... Closed 07/17/2016

Related to Foreman - Refactor #15846: Rename use_puppet_default in lookup val... Closed 07/27/2016

Blocked by Foreman - Refactor #9598: Link configuration management specifics ... New 03/01/2015

Blocked by Foreman - Refactor #9599: Remove Puppet specific fields from Host/... New 03/01/2015

Blocks Foreman - Refactor #9600: Remove Puppet specific options from top bar New 03/01/2015

Blocked by Foreman - Refactor #15402: Move puppet actions out of API hosts co... Closed 06/14/2016

Blocked by Foreman - Refactor #15403: Move puppet actions outside of UI contr... Closed 06/14/2016

History

#1 - 03/01/2015 01:39 PM - Daniel Lobato Garcia

- Blocked by Refactor #9598: Link configuration management specifics to docs added

#2 - 03/01/2015 01:47 PM - Daniel Lobato Garcia

- Blocked by Refactor #9599: Remove Puppet specific fields from Host/Host group added

#3 - 03/01/2015 01:49 PM - Daniel Lobato Garcia

- Blocks Refactor #9600: Remove Puppet specific options from top bar added
#4 - 03/02/2015 04:18 AM - Dominic Cleal

- Category set to Puppet integration

#5 - 06/14/2016 06:56 AM - Shimon Shtein

- Blocked by Refactor #15402: Move puppet actions out of API hosts controller added

#6 - 06/14/2016 06:59 AM - Shimon Shtein

- Blocked by Refactor #15403: Move puppet actions outside of UI controller added

#7 - 06/14/2016 08:25 AM - Shimon Shtein

- Related to Refactor #15404: Move environment class variable to a concern added

#8 - 06/14/2016 08:28 AM - Shimon Shtein

- Related to Refactor #15405: Move puppet related helpers to a separate helper class. added

#9 - 06/14/2016 08:34 AM - Shimon Shtein

- Related to Refactor #15406: Move puppet_environment overview field outside core's #overview_fields helper. added

#10 - 06/14/2016 08:51 AM - Shimon Shtein

- Related to Refactor #15408: Move puppetCA autosign handling to a separate orchestration action. added

#11 - 06/14/2016 09:02 AM - Shimon Shtein

- Related to Refactor #15409: Refactor (puppet) facts out of host classes. added

#12 - 06/14/2016 09:56 AM - Shimon Shtein

- Related to Refactor #15411: Move SmartProxy.smart_proxy_ids_for to Host class added

#13 - 06/22/2016 07:21 PM - Ori Rabin

- Related to Refactor #15503: Remve puppet from lookup_keys base class added

#14 - 07/17/2016 06:36 AM - Shimon Shtein

- Related to Refactor #15710: Create STI for LookupValues added

#15 - 07/17/2016 07:37 AM - Shimon Shtein

- Related to Refactor #15711: Remove inheritance from classification system and move type specific functionality to providers framework. added

#16 - 07/27/2016 01:55 AM - Shimon Shtein

- Related to Refactor #15846: Rename use_puppet_default in lookup values to skip_foreman added
